Bug 1459187 - [RFE] ability to deploy overcloud using a IPv6 provisioning network
[RFE] ability to deploy overcloud using a IPv6 provisioning network
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity medium
: Upstream M2
: 15.0 (S)
Assigned To: Derek Higgins
Arik Chernetsky
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 09:32 EDT by Derek Higgins
Modified: 2018-06-15 10:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 494440 None None None 2017-08-23 12:05 EDT
OpenStack gerrit 494441 None None None 2017-08-23 12:07 EDT
OpenStack gerrit 494442 None None None 2017-08-23 12:07 EDT
OpenStack gerrit 494443 None None None 2017-08-23 12:07 EDT
OpenStack gerrit 494459 None None None 2017-08-23 12:06 EDT
OpenStack gerrit 494627 None None None 2017-08-23 12:05 EDT
OpenStack gerrit 495166 None None None 2017-08-23 12:06 EDT
OpenStack gerrit 495279 None None None 2017-08-23 12:06 EDT

  None (edit)
Description Derek Higgins 2017-06-06 09:32:47 EDT
Ironic can now deploy over a IPv6 provisioning network.

Now that this is possible it should be possible to configure the undercloud install to use IPv6 for the provisioning network and to deploy a overcloud using it.
Comment 3 Ramon Acedo 2017-11-03 13:31:08 EDT
After discussing this with Derek, it's not clear that all the required work can be finished during the Queens cycle. Moving to OSP 14 to free up dev cycles for stability bugs.
Comment 6 Ramon Acedo 2018-04-10 10:42:42 EDT
This work needs finishing to make it work: https://review.openstack.org/#/q/topic:ipv6-prov

Note You need to log in before you can comment on or make changes to this bug.